/* #message {
    width: 100%;
    min-width: 360px;
    height: 92vh;
    min-height: 320px;
    max-height: 720px;
} */
#message {
    display: flex;
    background: #E6EAEA;
    height: 92vh;
    min-height: 320px;
    max-height: 800px;
}
#message .content .messages ul li .image .modal-image {
    max-height: 200px !important;
    max-width: 100%;
    min-height: 24px !important;
    width: 150.485px !important;
    height: auto !important;
    border-radius: 18px;
    display: block;
    margin: 0 auto;
}
#message .content .messages ul li .image #react-modal-image-img {
    width: auto !important;
    height: auto !important;
    border-radius: unset;
}
#message .content .product_detail {
    position: fixed;
    right: 2%;
    top: 20%;
    width: 350px;
    background: #fff;
    border-radius: 5px;
    padding: 10px;
}
#message .content .product_detail .wrapper_product {
    display: flex;
    align-items: center;
}
#message .content .product_detail .wrapper_product .product_left {
    padding-left: 10px;
    width: calc(100% - 60px);
    padding-right: 30px;
}
#message .content .product_detail .wrapper_product .product_left p{
    font-size: 14px;
    margin-bottom: 4px;
    display: flex;
}
#message .content .product_detail .wrapper_product .image:hover,
#message .content .product_detail .wrapper_product .arrow:hover {
    cursor: pointer;
}
#message .content .product_detail .wrapper_product .product_left p strong {
    word-break: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
}
#message .content .product_detail .wrapper_product img {
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 5px;
}
#message .content .product_detail .list_sku {
    max-height: 0;
    opacity: 0;
    visibility: hidden;
    transition: all .3s;
}
#message .content .product_detail .list_sku.active {
    max-height: 100vh;
    opacity: 1;
    visibility: visible;
    padding-top: 15px;
}
#message .content .product_detail .list_sku .sku_item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 5px;
    margin: 0;
}
#message .content .product_detail .list_sku .sku_item p {
    margin: 0;
}
#message .content .product_detail .arrow {
    position: absolute;
    top: 10px;
    right: 10px;

}
#message .content .product_detail .arrow img {
    width: 13px;
    transition: all .3s;
}
#message .content .product_detail .arrow.active img {
    transform: rotate(180deg);
}

@media screen and (max-width: 360px) {
    #message {
        width: 100%;
        height: 100vh;
    }
}
#message .content .product_detail .list_sku .box_weight  {
    margin: 0 -5px;
}
#message .content .product_detail .list_sku .box_weight .box {
    padding: 0 5px;
    margin-bottom: 10px;
}
#message .content .product_detail .list_sku .box_weight .box span {
    background: #C4C4C4;
    padding: 5px;
    border-radius: 4px;
    width: 100%;
    display: inline-block;
    text-align: center;
}
/* #message #sidepanel {
    float: left;
    min-width: 280px;
    max-width: 340px;
    width: 40%;
    height: 100%;
    background: #2c3e50;
    color: #f5f5f5;
    overflow: hidden;
    position: relative;
} */
#message #sidepanel {
    width: 25%;
    height: 100%;
    background: #2c3e50;
    color: #f5f5f5;
    overflow: hidden;
    position: relative;
    padding: 10px;
}

@media screen and (max-width: 735px) {
    #message #sidepanel {
        width: 58px;
        min-width: 58px;
    }
}

#message #sidepanel #profile {
    width: 80%;
    margin: 25px auto;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile {
        width: 100%;
        margin: 0 auto;
        padding: 5px 0 0 0;
        background: #32465a;
    }
}

#message #sidepanel #profile.expanded .wrap {
    height: 210px;
    line-height: initial;
}

#message #sidepanel #profile.expanded .wrap p {
    margin-top: 20px;
}

#message #sidepanel #profile.expanded .wrap i.expand-button {
    -moz-transform: scaleY(-1);
    -o-transform: scaleY(-1);
    -webkit-transform: scaleY(-1);
    transform: scaleY(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
}

#message #sidepanel #profile .wrap {
    height: 60px;
    line-height: 60px;
    overflow: hidden;
    -moz-transition: 0.3s height ease;
    -o-transition: 0.3s height ease;
    -webkit-transition: 0.3s height ease;
    transition: 0.3s height ease;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap {
        height: 55px;
    }
}

#message #sidepanel #profile .wrap img {
    width: 50px;
    border-radius: 50%;
    padding: 3px;
    border: 2px solid #e74c3c;
    height: auto;
    float: left;
    cursor: pointer;
    -moz-transition: 0.3s border ease;
    -o-transition: 0.3s border ease;
    -webkit-transition: 0.3s border ease;
    transition: 0.3s border ease;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap img {
        width: 40px;
        margin-left: 4px;
    }
}

#message #sidepanel #profile .wrap img.online {
    border: 2px solid #2ecc71;
}

#message #sidepanel #profile .wrap img.away {
    border: 2px solid #f1c40f;
}

#message #sidepanel #profile .wrap img.busy {
    border: 2px solid #e74c3c;
}

#message #sidepanel #profile .wrap img.offline {
    border: 2px solid #95a5a6;
}

#message #sidepanel #profile .wrap p {
    float: left;
    margin-left: 15px;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap p {
        display: none;
    }
}

#message #sidepanel #profile .wrap i.expand-button {
    float: right;
    margin-top: 23px;
    font-size: 0.8em;
    cursor: pointer;
    color: #435f7a;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap i.expand-button {
        display: none;
    }
}

#message #sidepanel #profile .wrap #status-options {
    position: absolute;
    opacity: 0;
    visibility: hidden;
    width: 150px;
    margin: 70px 0 0 0;
    border-radius: 6px;
    z-index: 99;
    line-height: initial;
    background: #435f7a;
    -moz-transition: 0.3s all ease;
    -o-transition: 0.3s all ease;
    -webkit-transition: 0.3s all ease;
    transition: 0.3s all ease;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options {
        width: 58px;
        margin-top: 57px;
    }
}

#message #sidepanel #profile .wrap #status-options.active {
    opacity: 1;
    visibility: visible;
    margin: 75px 0 0 0;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options.active {
        margin-top: 62px;
    }
}

#message #sidepanel #profile .wrap #status-options:before {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 8px solid #435f7a;
    margin: -8px 0 0 24px;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options:before {
        margin-left: 23px;
    }
}

#message #sidepanel #profile .wrap #status-options ul {
    overflow: hidden;
    border-radius: 6px;
}

#message #sidepanel #profile .wrap #status-options ul li {
    padding: 15px 0 30px 18px;
    display: block;
    cursor: pointer;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options ul li {
        padding: 15px 0 35px 22px;
    }
}

#message #sidepanel #profile .wrap #status-options ul li:hover {
    background: #496886;
}

#message #sidepanel #profile .wrap #status-options ul li span.status-circle {
    position: absolute;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin: 5px 0 0 0;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options ul li span.status-circle {
        width: 14px;
        height: 14px;
    }
}

#message #sidepanel #profile .wrap #status-options ul li span.status-circle:before {
    content: '';
    position: absolute;
    width: 14px;
    height: 14px;
    margin: -3px 0 0 -3px;
    background: transparent;
    border-radius: 50%;
    z-index: 0;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options ul li span.status-circle:before {
        height: 18px;
        width: 18px;
    }
}

#message #sidepanel #profile .wrap #status-options ul li p {
    padding-left: 12px;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #profile .wrap #status-options ul li p {
        display: none;
    }
}

#message #sidepanel #profile .wrap #status-options ul li#status-online span.status-circle {
    background: #2ecc71;
}

#message #sidepanel #profile .wrap #status-options ul li#status-online.active span.status-circle:before {
    border: 1px solid #2ecc71;
}

#message #sidepanel #profile .wrap #status-options ul li#status-away span.status-circle {
    background: #f1c40f;
}

#message #sidepanel #profile .wrap #status-options ul li#status-away.active span.status-circle:before {
    border: 1px solid #f1c40f;
}

#message #sidepanel #profile .wrap #status-options ul li#status-busy span.status-circle {
    background: #e74c3c;
}

#message #sidepanel #profile .wrap #status-options ul li#status-busy.active span.status-circle:before {
    border: 1px solid #e74c3c;
}

#message #sidepanel #profile .wrap #status-options ul li#status-offline span.status-circle {
    background: #95a5a6;
}

#message #sidepanel #profile .wrap #status-options ul li#status-offline.active span.status-circle:before {
    border: 1px solid #95a5a6;
}

#message #sidepanel #profile .wrap #expanded {
    padding: 100px 0 0 0;
    display: block;
    line-height: initial !important;
}

#message #sidepanel #profile .wrap #expanded label {
    float: left;
    clear: both;
    margin: 0 8px 5px 0;
    padding: 5px 0;
}

#message #sidepanel #profile .wrap #expanded input {
    border: none;
    margin-bottom: 6px;
    background: #32465a;
    border-radius: 3px;
    color: #f5f5f5;
    padding: 7px;
    width: calc(100% - 43px);
}

#message #sidepanel #profile .wrap #expanded input:focus {
    outline: none;
    background: #435f7a;
}

#message #sidepanel #search {
    /* border-top: 1px solid #32465a;
    border-bottom: 1px solid #32465a; */
    font-weight: 300;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #search {
        display: none;
    }
}

#message #sidepanel #search label {
    position: absolute;
    margin: 10px 0 0 20px;
}

#message #sidepanel #search input {
    font-family: "proxima-nova", "Source Sans Pro", sans-serif;
    padding: 10px 0 10px 46px;
    width: calc(100% - 25px);
    border: none;
    background: #32465a;
    color: #f5f5f5;
    width: 100%;
}

#message #sidepanel #search input:focus {
    outline: none;
    background: #435f7a;
}

#message #sidepanel #search input::-webkit-input-placeholder {
    color: #f5f5f5;
}

#message #sidepanel #search input::-moz-placeholder {
    color: #f5f5f5;
}

#message #sidepanel #search input:-ms-input-placeholder {
    color: #f5f5f5;
}

#message #sidepanel #search input:-moz-placeholder {
    color: #f5f5f5;
}

/* #message #sidepanel #contacts {
    height: calc(100% - 177px);
    overflow-y: scroll;
    overflow-x: hidden;
    padding-top: 20px;
    position: relative;
} */
#message #sidepanel #contacts {
    height: calc(100% - 40px);
}
#message #sidepanel #contacts .new-mess{
    padding-top: 20px;
    height: 60%;
    position: relative;
}
#message #sidepanel #contacts .new-mess ul::-webkit-scrollbar,
#message #sidepanel #contacts .reslove-mess ul::-webkit-scrollbar {
    width: 8px;
    background: #2c3e50;
}

#message #sidepanel #contacts .new-mess ul::-webkit-scrollbar-thumb,
#message #sidepanel #contacts .reslove-mess ul::-webkit-scrollbar-thumb {
    background-color: #243140;
}

#message #sidepanel #contacts .reslove-mess {
    margin-top: 10px;
    padding-top: 20px;
    height: 40%;
    position: relative;
}
#message #sidepanel #contacts .new-mess ul,
#message #sidepanel #contacts .reslove-mess ul {
    border-top: 1px solid rgba(222, 226, 230, 0.3);
    padding-top: 20px;
    overflow-y: scroll;
    overflow-x: hidden;
    height: 100%;
}
#message #sidepanel #contacts .new-mess .total_new,
#message #sidepanel #contacts .reslove-mess .total_resolve {
    position: absolute;
    top: 8px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    background: #DDDDDD;
    color: #111;
    padding: 5px 15px;
    border-radius: 15px;
}


@media screen and (max-width: 735px) {
    #message #sidepanel #contacts {
        height: calc(100% - 149px);
        overflow-y: scroll;
        overflow-x: hidden;
    }

    #message #sidepanel #contacts::-webkit-scrollbar {
        display: none;
    }
}

#message #sidepanel #contacts.expanded {
    height: calc(100% - 334px);
}

#message #sidepanel #contacts::-webkit-scrollbar {
    width: 8px;
    background: #2c3e50;
}

#message #sidepanel #contacts::-webkit-scrollbar-thumb {
    background-color: #243140;
}

#message #sidepanel #contacts ul li.contact {
    position: relative;
    padding: 10px 0 7px 0;
    font-size: 0.9em;
    cursor: pointer;
}
#message #sidepanel #contacts ul li.contact:not(:last-child) {
    border-bottom: 1px solid #dee2e6;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #contacts ul li.contact {
        padding: 6px 0 46px 8px;
    }
}

#message #sidepanel #contacts ul li.contact:hover {
    background: #32465a;
}

#message #sidepanel #contacts ul li.contact.active {
    background: #32465a;
    border-right: 5px solid #435f7a;
}

#message #sidepanel #contacts ul li.contact.active span.contact-status {
    border: 2px solid #32465a !important;
}

#message #sidepanel #contacts ul li.contact .wrap {
    width: 88%;
    margin: 0 auto;
    position: relative;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #contacts ul li.contact .wrap {
        width: 100%;
    }
}

#message #sidepanel #contacts ul li.contact .wrap span {
    position: absolute;
    left: 0;
    margin: -2px 0 0 -2px;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 2px solid #2c3e50;
    background: #95a5a6;
}
#message #sidepanel #contacts ul li.contact .wrap span.time{
    left: auto;
    right: 0px;
    width: auto;
    background: transparent;
    border-radius: inherit;
    border: none;
}
#message #sidepanel #contacts ul li.contact .wrap span.unreadmessages {
    left: auto;
    right: 0px;
    background-color: #ce0122;
}
#message #sidepanel #contacts ul li.contact .preview{
    text-align: left;
    margin-top: 10px;
    margin-left: 10px;
    clear: both;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
}
#message #sidepanel #contacts ul li.contact .preview span {
    position: absolute;
    left: auto;
    margin: -2px 0 0 -2px;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 2px solid #ce0122;
    background: #ce0122;
    right: 20px
}

#message #sidepanel #contacts ul li.contact .wrap span.online {
    background: #2ecc71;
}

#message #sidepanel #contacts ul li.contact .wrap span.away {
    background: #f1c40f;
}

#message #sidepanel #contacts ul li.contact .wrap span.busy {
    background: #e74c3c;
}

#message #sidepanel #contacts ul li.contact .wrap img {
    width: 40px;
    border-radius: 50%;
    float: left;
    margin-right: 10px;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #contacts ul li.contact .wrap img {
        margin-right: 0px;
    }
}

#message #sidepanel #contacts ul li.contact .wrap .meta {
    padding: 5px 0 0 0;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #contacts ul li.contact .wrap .meta {
        display: none;
    }
}

#message #sidepanel #contacts ul li.contact .wrap .meta .name {
    font-weight: 600;
}

#message #sidepanel #contacts ul li.contact .wrap .meta .preview {
    margin: 5px 0 0 0;
    padding: 0 0 1px;
    font-weight: 400;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    -moz-transition: 1s all ease;
    -o-transition: 1s all ease;
    -webkit-transition: 1s all ease;
    transition: 1s all ease;
}

#message #sidepanel #contacts ul li.contact .wrap .meta .preview span {
    position: initial;
    border-radius: initial;
    background: none;
    border: none;
    padding: 0 2px 0 0;
    margin: 0 0 0 1px;
    opacity: .5;
}

#message #sidepanel #bottom-bar {
    position: absolute;
    width: 100%;
    bottom: 0;
}

#message #sidepanel #bottom-bar button {
    float: left;
    border: none;
    width: 50%;
    padding: 10px 0;
    background: #32465a;
    color: #f5f5f5;
    cursor: pointer;
    font-size: 0.85em;
    font-family: "proxima-nova", "Source Sans Pro", sans-serif;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #bottom-bar button {
        float: none;
        width: 100%;
        padding: 15px 0;
    }
}

#message #sidepanel #bottom-bar button:focus {
    outline: none;
}

#message #sidepanel #bottom-bar button:nth-child(1) {
    border-right: 1px solid #2c3e50;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #bottom-bar button:nth-child(1) {
        border-right: none;
        border-bottom: 1px solid #2c3e50;
    }
}

#message #sidepanel #bottom-bar button:hover {
    background: #435f7a;
}

#message #sidepanel #bottom-bar button i {
    margin-right: 3px;
    font-size: 1em;
}

@media screen and (max-width: 735px) {
    #message #sidepanel #bottom-bar button i {
        font-size: 1.3em;
    }
}

@media screen and (max-width: 735px) {
    #message #sidepanel #bottom-bar button span {
        display: none;
    }
}

/* #message .content {
    float: right;
    width: 60%;
    height: 100%;
    overflow: hidden;
    position: relative;
} */
#message .content {
    width: 75%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

/* @media screen and (max-width: 735px) {
    #message .content {
        width: calc(100% - 58px);
        min-width: 300px !important;
    }
} */

/* @media screen and (min-width: 900px) {
    #message .content {
        width: calc(100% - 340px);
    }
} */

#message .content .contact-profile {
    width: 100%;
    background: #f5f5f5;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

#message .content .contact-profile img {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 50%;
}
#message .content .contact-profile .profile_wrapper {
    display: flex;
    align-items: center;
}
#message .content .contact-profile .profile_wrapper .meta {
    padding-left: 15px;
}
#message .content .contact-profile  .meta-right a,
#message .content .contact-profile  .meta-right span {
    font-size: 35px;
}
#message .content .contact-profile p {
    margin: 0;
    font-size: 14px;
    line-height: 14px;
}
#message .content .contact-profile p:not(:last-child) {
    padding-bottom: 10px;
}

#message .content .contact-profile .social-media {
    float: right;
}

#message .content .contact-profile .social-media i {
    margin-left: 14px;
    cursor: pointer;
}

#message .content .contact-profile .social-media i:nth-last-child(1) {
    margin-right: 20px;
}

#message .content .contact-profile .social-media i:hover {
    color: #435f7a;
}

#message .content .messages {
    height: auto;
    min-height: calc(100% - 93px);
    max-height: calc(100% - 93px);
    overflow-y: scroll;
    overflow-x: hidden;
}

@media screen and (max-width: 735px) {
    #message .content .messages {
        max-height: calc(100% - 105px);
    }
}

#message .content .messages::-webkit-scrollbar {
    width: 8px;
    background: transparent;
}

#message .content .messages::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3);
}

#message .content .messages ul li {
    display: inline-block;
    clear: both;
    width: calc(100% - 25px);
    vertical-align: middle;
}

#message .content .messages ul li:nth-last-child(1) {
    margin-bottom: 20px;
}

#message .content .messages ul li.sent img {
    margin-right: 10px;
}

#message .content .messages ul li.sent p {
    background: #435f7a;
    color: #f5f5f5;
}
#message .content .messages ul li.sent .user-name {
    background: unset;
    color: #111;
    padding: 0;
    margin: 0 10px 5px 0;
}

#message .content .messages ul li.replies img {
    float: right;
    margin: 6px 0 0 8px;
}

#message .content .messages ul li.replies p {
    background: #f5f5f5;
    float: right;
}

#message .content .messages ul li img {
    width: 40px !important;
    height: 40px !important;
    object-fit: cover;
    border-radius: 50%;
    float: left;
}

#message .content .messages ul li p {
    display: inline-block;
    padding: 10px 15px;
    border-radius: 20px;
    margin-bottom: 0;
    max-width: 350px;
    word-break: break-all;
    font-size: 14px;
    line-height: 18px;
}
#message .content .messages ul .replies .sent-detail {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
#message .content .messages ul .replies .sent-detail .user-detail{
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
#message .content .messages ul .replies .sent-detail .user-detail .user-name {
    background: unset;
}
/* @media screen and (min-width: 735px) {
    #message .content .messages ul li p {
        max-width: 300px;
    }
} */

#message .content .message-input {
    position: absolute;
    bottom: 0;
    width: 100%;
    z-index: 99;
}
#message .content .message-input form {
    display: flex;
}

#message .content .message-input .wrap {
    position: relative;
}

#message .content .message-input .wrap input {
    font-family: "proxima-nova", "Source Sans Pro", sans-serif;
    border: none;
    width: calc(100% - 50px);
    padding: 11px 32px 10px 8px;
    font-size: 0.8em;
    color: #32465a;
    height: 48px;
}

@media screen and (max-width: 735px) {
    #message .content .message-input .wrap input {
        padding: 15px 32px 16px 8px;
    }
}

#message .content .message-input .wrap input:focus {
    outline: none;
}

#message .content .message-input .wrap .attachment {
    position: absolute;
    right: 60px;
    z-index: 4;
    margin-top: 10px;
    font-size: 1.1em;
    color: #435f7a;
    opacity: .5;
    cursor: pointer;
}

@media screen and (max-width: 735px) {
    #message .content .message-input .wrap .attachment {
        margin-top: 17px;
        right: 65px;
    }
}

#message .content .message-input .wrap .attachment:hover {
    opacity: 1;
}

#message .content .message-input .wrap button {
    border: none;
    width: 50px;
    padding: 12px 0;
    cursor: pointer;
    background: #32465a;
    color: #f5f5f5;
}

@media screen and (max-width: 735px) {
    #message .content .message-input .wrap button {
        padding: 16px 0;
    }
}

#message .content .message-input .wrap button:hover {
    background: #435f7a;
}

#message .content .message-input .wrap button:focus {
    outline: none;
}

#message .content .messages {
    width: 100%;
}

#message .content .messages>ul>li {
    width: 100%;
    margin-bottom: 10px;
}

#message .content .messages>ul {
    margin: 0;
    padding: 20px 20px 60px;
}

#message #sidepanel #contacts ul {
    list-style: none;
    padding: 0;
}
#message #sidepanel #contacts .reslove-mess ul {
    padding-top: 20px;
}
@keyframes example {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

i.fas.fa-spinner {
    animation-name: example;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}
